#property indicator_chart_window

extern int    DisplayXPos             = 150;
extern int    DisplayYPos             = 20;
extern string DisplayID               = "comment";
extern string DisplayText             = "Free margin required to trade 1 lot is ";
extern color  DisplayColorNormal      = clrGray;
extern int    DisplayFontSize         = 15;
extern bool   DisplayAutoCenter       = true;


#include <ChartObjects\ChartObjectsTxtControls.mqh> 
CChartObjectLabel  label;

//
//
//
//
//

int init()   {                 return(0); }
int deinit() { label.Delete(); return(0); }
int start()
{
   if (label.Name()!= DisplayID)
       label.Create(0,DisplayID,0,DisplayXPos,DisplayYPos);
       label.Description(DisplayText+(string)MarketInfo(_Symbol,MODE_MARGINREQUIRED));
       label.FontSize(DisplayFontSize); 
       label.Font("Arial bold"); 
       label.Color(DisplayColorNormal);
       if (DisplayAutoCenter)
       {
            label.X_Distance(ChartGetInteger(0,CHART_WIDTH_IN_PIXELS)/2); label.Anchor(ANCHOR_CENTER); 
       }         
       
   return(0);
}